Up

# NSSplitView

### Authors

Robert Vasvari (`vrobi@ddrummer.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Allows multiple views to share a region in a window

Copyright: (C) 1996, 1998, 1999, 2000, 2001 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSSplitView class
2. Software documentation for the NSObject(NSSplitViewDelegate) informal protocol
3. Software documentation for the NSSplitView(GNUstepExtra) category

# Software documentation for the NSSplitView class

## NSSplitView : NSView

> Declared in:
>   AppKit/NSSplitView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -backgroundColor
- -dimpleImage
- -dividerColor
- -draggedBarWidth
- -setBackgroundColor:
- -setDimpleImage:resetDividerThickness:
- -setDividerColor:
- -setDraggedBarWidth:
- -adjustSubviews
- -delegate
- -dividerThickness
- -drawDividerInRect:
- -isPaneSplitter
- -isSubviewCollapsed:
- -isVertical
- -setDelegate:
- -setIsPaneSplitter:
- -setVertical:

### adjustSubviews

- (void) adjustSubviews;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### dividerThickness

- (float) dividerThickness;

Description forthcoming.

### drawDividerInRect:

- (void) drawDividerInRect: (NSRect)aRect;

Description forthcoming.

### isPaneSplitter

- (BOOL) isPaneSplitter;

Description forthcoming.

### isSubviewCollapsed:

- (BOOL) isSubviewCollapsed: (NSView*)subview;

Description forthcoming.

### isVertical

- (BOOL) isVertical;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setIsPaneSplitter:

- (void) setIsPaneSplitter: (BOOL)flag;

Description forthcoming.

### setVertical:

- (void) setVertical: (BOOL)flag;

Description forthcoming.

# Software documentation for the NSObject(NSSplitViewDelegate) informal protocol

## NSObject(NSSplitViewDelegate)

> Declared in:
>   AppKit/NSSplitView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -splitView:canCollapseSubview:
- -splitView:constrainMaxCoordinate:ofSubviewAt:
- -splitView:constrainMinCoordinate:maxCoordinate:ofSubviewAt:
- -splitView:constrainMinCoordinate:ofSubviewAt:
- -splitView:constrainSplitPosition:ofSubviewAt:
- -splitView:resizeSubviewsWithOldSize:
- -splitViewDidResizeSubviews:
- -splitViewWillResizeSubviews:

### splitView:canCollapseSubview:

- (BOOL) splitView: (NSSplitView*)sender canCollapseSubview: (NSView*)subview;

Description forthcoming.

### splitView:constrainMaxCoordinate:ofSubviewAt:

- (float) splitView: (NSSplitView*)sender constrainMaxCoordinate: (float)proposedMax ofSubviewAt: (int)offset;

Description forthcoming.

### splitView:constrainMinCoordinate:maxCoordinate:ofSubviewAt:

- (void) splitView: (NSSplitView*)sender constrainMinCoordinate: (float*)min maxCoordinate: (float*)max ofSubviewAt: (int)offset;

Description forthcoming.

### splitView:constrainMinCoordinate:ofSubviewAt:

- (float) splitView: (NSSplitView*)sender constrainMinCoordinate: (float)proposedMin ofSubviewAt: (int)offset;

Description forthcoming.

### splitView:constrainSplitPosition:ofSubviewAt:

- (float) splitView: (NSSplitView*)sender constrainSplitPosition: (float)proposedPosition ofSubviewAt: (int)offset;

Description forthcoming.

### splitView:resizeSubviewsWithOldSize:

- (void) splitView: (NSSplitView*)sender resizeSubviewsWithOldSize: (NSSize)oldSize;

Description forthcoming.

### splitViewDidResizeSubviews:

- (void) splitViewDidResizeSubviews: (NSNotification*)notification;

Description forthcoming.

### splitViewWillResizeSubviews:

- (void) splitViewWillResizeSubviews: (NSNotification*)notification;

Description forthcoming.

# Software documentation for the NSSplitView(GNUstepExtra) category

## NSSplitView(GNUstepExtra)

> Declared in:
>   AppKit/NSSplitView.h

> Standards:
> - NotOpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- -backgroundColor
- -dimpleImage
- -dividerColor
- -draggedBarWidth
- -setBackgroundColor:
- -setDimpleImage:resetDividerThickness:
- -setDividerColor:
- -setDraggedBarWidth:

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### dimpleImage

- (NSImage*) dimpleImage;

Description forthcoming.

### dividerColor

- (NSColor*) dividerColor;

Description forthcoming.

### draggedBarWidth

- (float) draggedBarWidth;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;

Description forthcoming.

### setDimpleImage:resetDividerThickness:

- (void) setDimpleImage: (NSImage*)anImage resetDividerThickness: (BOOL)flag;

Description forthcoming.

### setDividerColor:

- (void) setDividerColor: (NSColor*)aColor;

Description forthcoming.

### setDraggedBarWidth:

- (void) setDraggedBarWidth: (float)newWidth;

Description forthcoming.

Up